picocli

## Class CommandLine.ParameterIndexGapException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picocli.CommandLine.PicocliException
        - - picocli.CommandLine.InitializationException
          - - picocli.CommandLine.ParameterIndexGapException

All Implemented Interfaces:
  Serializable

Enclosing class:
  CommandLine

    public static class CommandLine.ParameterIndexGapException
    extends CommandLine.InitializationException

Exception indicating that there was a gap in the indices of the fields annotated with `CommandLine.Parameters`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParameterIndexGapException(String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParameterIndexGapException

    public ParameterIndexGapException(String msg)